REM  -----------------------------------
REM  Shutdown des Rechners
REM  -----------------------------------

echo *** Aktion auf IP=%1   %ERRORTEXT%

rem *** Rechner mit Meldung reebooten nach 5 Minuten
rem pstools\psshutdown -u %2 -p %3 -r -t 300 -m "Ihr Rechner wird neu gestartet!                      >>>>>>>>> Bitte Daten sichern! <<<<<<<<< Sie knnen den Rechner sofort Neustarten und mssen nicht auf das Programm warten." \\%1

rem *** Rechner mit Meldung um 24:00 herrunter fahren
rem pstools\psshutdown -u %2 -p %3 -s -t 24:00 -m "Um 24:00 wird Ihr Rechner abgeschaltet!  >>>>>>>>> Bitte Daten sichern! <<<<<<<<< - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - Sie knnen den Rechner sofort Neustarten und mssen nicht auf das Programm warten." \\%1

rem *** Rechner mit 5 Minuten Meldung nach 16 Stunden Laufzeit herrunter fahren
pstools\psshutdown -u %2 -p %3 -s -t 57600 -v 05 -m "Ihr Rechner wird nach 16 Stunden Laufzeit abgeschaltet!                                      >>>>>>>>> Bitte Daten sichern! <<<<<<<<< Sie knnen den Rechner sofort Neustarten und mssen nicht auf das Programm warten." \\%1

pause 

rem *** Herrunterfahren abbrechen
pstools\psshutdown \\%1 -a

REM  Parameter:
REM  ----------
REM  psshutdown -s|-r|-h|-d|-k|-a|-l|-o [-f] [-c] [-t [nn|h:m]] [-v nn] [-e [u|p]:xx:yy] [-m "message"] [-u Username [-p REM  password]] [-n s] [\\computer[,computer[,...]|@file]
REM     -a          Abort a shutdown (only possible while countdown is in progress)
REM     -c          Allow the shutdown to be aborted by the interactive user
REM     -d          Suspend the computer
REM     -e          Shutdown reason code (available on Windows XP and higher).
REM                 Specify 'u' for unplanned and 'p' for planned
REM                 shutdown reason codes.
REM                 xx is the major reason code (must be less than 256)
REM                 yy is the minor reason code (must be less than 65536)
REM     -f          Forces running applications to close
REM     -h          Hibernate the computer
REM     -k          Poweroff the computer (reboot if poweroff is not supported)
REM     -l          Lock the computer
REM     -m          Message to display to logged on users
REM     -n          Specifies timeout in seconds connecting to remote computers
REM     -o          Logoff the console user
REM     -p          Specifies optional password for user name. If you omit this
REM                 you will be prompted to enter a hidden password.
REM     -r          Reboot after shutdown
REM     -s          Shutdown without poweroff
REM     -t          Specifies countdown in seconds until shutdown (default is 20) or
REM                 the time of shutdown (in 24 hour notation)
REM     -u          Specifies optional user name for login to remote
REM                 computer.
REM     -v          Display message for the specified number of seconds before the
REM                 shutdown. If you omit this parameter the shutdown notification
REM                 dialog displays and specifying a value of 0 omits the dialog.
REM     computer    Shutdown the computer or computers specified
REM     @file       Shutdown the computers listed in the file specified
REM  
REM  
REM  Reasons defined on this computer (U = unplanned, P = planned):
REM  Type   Major   Minor   Title
REM    U      0       0     Anderer Grund (nicht geplant)
REM    P      0       0     Anderer Grund (geplant)
REM    U      1       1     Hardware: Wartung (nicht geplant)
REM    P      1       1     Hardware: Wartung (geplant)
REM    U      1       2     Hardware: Installation (nicht geplant)
REM    P      1       2     Hardware: Installation (geplant)
REM    U      2       3     Betriebssystem: Aktualisierung (nicht geplant)
REM    P      2       3     Betriebssystem: Aktualisierung (geplant)
REM    U      2       4     Betriebssystem: Neukonfigurierung (nicht geplant)
REM    P      2       4     Betriebssystem: Neukonfigurierrung (geplant)
REM    U      4       1     Anwendung: Wartung (nicht geplant)
REM    P      4       1     Anwendung: Wartung (geplant)
REM    U      4       5     Anwendung: Reagiert nicht
REM    U      4       6     Anwendung: Instabil
REM   
REM  
REM  Getestete Parameter
REM  -------------------
REM     -a          psshutdown zielcomputer -a bricht den Shutdown ab
REM     -k          Kill als wenn der Hauptschalter ausgeschlatet wird (nicht zu empfehlen)
REM     -r          Reboot (Neu starten)
REM     -s          Herrunterfahren
REM     -u          Username z.B.: Administrator
REM     -p          Passwort z.B.: geheim
REM     -t 300      In 5 Minuten wird der Rechner beendet.
REM     -t 13:00    um 13:00 wird der Rechner beendet (Zeitgeber ist der Rechner der Aufruft.)
REM     -v 05       5 Minuten vor dem geplanten Shutdown erscheint erst die Meldung. 
REM  		    Eine maximale Laufzeit eines Rechners ist somit mglich.
REM                 t 43200 -v 05 Maximale Laufzeit von 12 Stunden mit 5 Minutiger Ankndigung
 

